<h1>USERS</h1>

<div layout="row" layout-sm="column">

	<div id="create-user-form" flex>
		<h2>Create New User</h2>
		<div layout="column">
			<md-input-container>
			  <label>First Name</label>
			  <input ng-model="usrs.newUser.firstName">
			</md-input-container>
			<md-input-container>
			  <label>Last Name</label>
			  <input ng-model="usrs.newUser.lastName">
			</md-input-container>
			<md-input-container>
			  <label>Email</label>
			  <input ng-model="usrs.newUser.email">
			</md-input-container>
			<md-input-container>
			  <label>Github ID</label>
			  <input ng-model="usrs.newUser.gitHubId">
			</md-input-container>
		</div>
		<md-button class="md-button md-primary md-raised" ng-click="usrs.saveNewUser()">Create New User</md-button>
	</div>

  <div id="users-table" flex>
		<div layout="row" layout-sm="column" class="zebra-table">
		  <div flex="20"><strong>First Name</strong></div>
		  <div flex="20"><strong>Last Name</strong></div>
		  <div flex="30"><strong>Email</strong></div>
		  <div flex="30"><strong>GitHub Id</strong></div>
		</div>
		<div ng-repeat="user in usrs.users"  class="zebra-table">
		  <a ui-sref="user({id: user.id})">
		    <div layout="row" layout-sm="column">
		      <div flex="20">{{user.firstName}}</div>
		      <div flex="20">{{user.lastName}}</div>
		      <div flex="30">{{user.email}}</div>
		      <div flex="30">{{user.gitHubId}}</div>
		    </div>
		  </a>
		</div>
	</div>

</div>
